Skip to main content
GET
Get person membership details

承認

Authorization
string
header
必須

Short-lived bearer access token issued for a Living Security API access key. Send as Authorization: Bearer .

ヘッダー

x-organization-id
string<uuid>
必須

Organization context for multi-tenant operations

パスパラメータ

personId
string
必須

レスポンス

Membership details found successfully

id
string
必須

Unique membership identifier

例:

"550e8400-e29b-41d4-a716-446655440000"

personId
string
必須

Person ID associated with this membership

例:

"user-550e8400-e29b-41d4-a716-446655440000"

organizationId
string
必須

Organization ID for this membership

例:

"550e8400-e29b-41d4-a716-446655440000"

active
boolean
必須

Whether the membership is currently active

例:

true

profile
object
必須

Person profile data (name, email, etc.)

createdAt
string<date-time>
必須

Membership creation timestamp

例:

"2025-10-01T00:00:00.000Z"

updatedAt
string<date-time>
必須

Membership last update timestamp

例:

"2025-10-01T12:00:00.000Z"

importSource
enum<string> | null

How the user was provisioned (SCIM, CSV, or MANUAL)

利用可能なオプション:
SCIM,
CSV,
MANUAL
例:

"SCIM"

accessGrantType
enum<string> | null

How access was granted (DIRECT, PARENT_ORG, or PLATFORM)

利用可能なオプション:
DIRECT,
PARENT_ORG,
PLATFORM
例:

"DIRECT"

stickyAttributes
object

Sticky attributes (overrides, local attributes, sync status)

role
string | null

Primary role identifier. Can be a system role type (OWNER, ADMIN, MEMBER), catalog role ID, or custom role ID based on precedence (system > catalog > custom)

例:

"OWNER"

roleDisplayName
string | null

Human-friendly role display name

例:

"Owner"

roleIds
string[] | null

Array of ALL role identifiers assigned to this member. Includes system role types (OWNER, ADMIN, etc.), catalog role IDs, and custom role IDs.

例: